package org.psesquared.server.episode.actions.api.data.access;

import org.junit.jupiter.api.Test;
import org.psesquared.server.BaseTest;
import org.psesquared.server.model.User;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class EpisodeActionDaoTests extends BaseTest {

    @Test
    public void deleteUserTest() {
        String username = "testUser0";
        User user = authenticationDao.findByUsername(username).orElseThrow();
        assertEquals(numberOfEpisodesPerSubscription * numberOfSubscriptionsPerUser, episodeActionDao.findByUserUsername(username).size());
        authenticationDao.delete(user);
        assertEquals(0, episodeActionDao.findByUserUsername(username).size());
    }

}
