import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from 'path'

// https://vitejs.dev/config/
export default defineConfig({
    plugins: [vue()],
    base: process.env.BASE_DIR || "/",
    resolve: {
        alias: {
            '@' : path.resolve(__dirname, './src'),
        }
    }
})
