package org.psesquared.server.authentication.api.controller;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * A request that contains a {@link #password}, which is either set as a new
 * password or used for confirming the deletion of an account.
 *
 * @param password The password
 */
public record PasswordRequest(
    @JsonProperty(required = true) String password) {
}
