package org.psesquared.server.model;

/**
 * Available user roles.
 */
public enum Role {

  /**
   * Standard role.
   */
  USER,

  /**
   * Privileged role.
   */
  ADMIN;

  /**
   * The starting index.
   */
  private static final int FIRST_INDEX = 0;

  @Override
  public String toString() {
    return name().charAt(FIRST_INDEX) + name().substring(1).toLowerCase();
  }

}
